# 数据源配置
spring:
    datasource:
#        url: jdbc:mysql://localhost:3306/portal?useUnicode=true&characterEncoding=utf-8&useSSL=false
#        username: root
#        password: Zhang!@#
#        url: jdbc:mysql://106.14.217.120:3306/platform?useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true&rewriteBatchedStatements=true # MySQL Connector/J 8.X 连接的示例
#        username: lingniu
#        password: Lingniu2026!
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
#            master:
#                url: jdbc:mysql://localhost:3306/portal?useUnicode=true&characterEncoding=utf-8&useSSL=false
#                username: root
#                password: Zhang!@#
            url: jdbc:mysql://106.14.217.120:3306/platform?useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true&rewriteBatchedStatements=true # MySQL Connector/J 8.X 连接的示例
            username: lingniu
            password: Lingniu2026!
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置连接超时时间
            connectTimeout: 30000
            # 配置网络超时时间
            socketTimeout: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter: 
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: project
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    security:
        oauth2:
            resourceserver:
                jwt:
                    jwk-set-uri: http://localhost:8082/oauth2/jwks
            client:
                registration:
                    portal:
                        client-id: 2c6f1d9ff78641c78d72a848
                        client-secret: i1bper1Jw2gLeTzUN1oniwuICPDQgNuQEcYxTKJ5iv0
                        client-name: 羚牛OneOs运营管理
                        authorization-grant-type: authorization_code
                        redirect-uri: http://localhost:81/callback
                        scope:
                            - openid
                            - profile
                            # 返回权限
                            - perms
                        provider: idp

                provider:
                    idp:
                        #            issuer-uri: http://localhost:8000
                        authorization-uri: http://localhost/sso
                        token-uri: http://localhost:8000/oauth2/token
                        user-info-uri: http://localhost:8000/userinfo
                        jwk-set-uri: http://localhost:8000/oauth2/jwks
                        user-name-attribute: sub
